<ion-header>
  <ion-toolbar>
    <ion-grid>
      <ion-row style="align-items: center;">
        <ion-col>
          <ion-title>
            Dashboard
          </ion-title>
        </ion-col>
        <ion-col size="3">
          <ion-label style="color: grey;">{{userString}}</ion-label>
          <ion-button size=small style="float: right;" (click)="logout()">
            Logout
          </ion-button>
        </ion-col>
      </ion-row>
    </ion-grid>
  </ion-toolbar>
</ion-header>

<ion-content>
  <br>
  <ion-label style="font-size: large; font-weight: bold; padding: 10px;">Hallo {{userString.split(' ')[0]}}!</ion-label>
  <ion-grid style="max-width: 600px;">
    <ion-row style="align-items: center;">
      <ion-col>Herausforderungen annehmen?</ion-col>
      <ion-col>
        <ion-toggle color="success" id="toggle" (click)="toggleButton()"></ion-toggle>
      </ion-col>
    </ion-row>
    <ion-row style="align-items: center;">
      <ion-col>GitLab-Token:</ion-col>
      <ion-col>
        <!-- Use of GitLab token not possible in public example project. -->
        <ion-input placeholder="Token" type="password" id="token" disabled
          style="border-style: solid;border-width: 1px;width: 90%;max-height: 25px;" (keyup.enter)='registerToken()'>
        </ion-input>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        Anzahl Gegenstände:
      </ion-col>
      <ion-col>
        {{items.length}}
      </ion-col>
    </ion-row>
  </ion-grid>
  <br>
  <ion-segment value="name" style="margin-bottom: 5px;">
    <ion-segment-button value="name" style="margin-left: 20px;">
      <ion-label>Name</ion-label>
    </ion-segment-button>
    <ion-segment-button value="value" style="margin-right: 20px;">
      <ion-label>Wert</ion-label>
    </ion-segment-button>
  </ion-segment>
  <ion-list id="item-list"></ion-list>
</ion-content>